# Uses of Interface
org.eclipse.core.filesystem.IFileSystem

Packages that use IFileSystem
Package
Description
org.eclipse.core.filesystem
Provides an interface for interacting with a file system.
org.eclipse.core.filesystem.provider
Provides an API to be extended by a file system implementation.

## Uses of IFileSystem in org.eclipse.core.filesystem

Methods in org.eclipse.core.filesystem that return IFileSystem
Modifier and Type
Method
Description
`static IFileSystem`
EFS.`getFileSystem(String scheme)`
Returns a file system corresponding to the given scheme.
`IFileSystem`
IFileStore.`getFileSystem()`
Returns the file system this store belongs to.
`static IFileSystem`
EFS.`getLocalFileSystem()`
Returns the local file system.
`static IFileSystem`
EFS.`getNullFileSystem()`
Returns the null file system.

## Uses of IFileSystem in org.eclipse.core.filesystem.provider

Classes in org.eclipse.core.filesystem.provider that implement IFileSystem
Modifier and Type
Class
Description
`class`
`FileSystem`
The common superclass for all file system implementations.
Methods in org.eclipse.core.filesystem.provider that return IFileSystem
Modifier and Type
Method
Description
`IFileSystem`
FileStore.`getFileSystem()`
The default implementation of `IFileStore.getFileSystem()`.